Subject: [rohc] TCP packet formats - IP ID

From: Kristofer Sandlund <[email-masked]>
Date: Thu, 07 Oct 2004 13:11:47 +0200

Next issue:

IPID behavior. Normally, I'd need Mark to answer this since it is his 
packet formats that I'm updating, but since he's disappeared into 
/dev/null or some other nasty place, the rest of you have to do.

In format_ipv4_dynamic we have:
                               ip_id_behavior, %[ 2 ]
                               ip_id_nbo_flag, %[ 1 ]
And the following text
                 %
                 % compressor chooses behavior of IP-ID
                 %   00 = sequential
                 %   01 = sequential [MUST NOT BE USED!]
                 %   10 = random
                 %   11 = zero

As I see it, we can only have 4 different types of behavior: Sequential, 
Sequential-byteswapped, Random and Zero, so I cannot see why we'd need 
three bits for this. The "MUST NOT BE USED" comment seems like it is 
there for a good reason, but I can't find that reason.

If no one can enlighten me, I think I'll try to change 01 to 
seq-byteswapped instead.

/Kristofer Sandlund, Effnet AB

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc